Bug 1126248 - Able to select disabled components in New Bug interface
Summary: Able to select disabled components in New Bug interface
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface
Version: 4.4
Hardware: Unspecified
OS: Unspecified
low
low vote
Target Milestone: 4.4
Assignee: Matt Tyson 🤬
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 00:15 UTC by John Skeoch
Modified: 2018-12-09 06:29 UTC (History)
5 users (show)

Fixed In Version: 4.4.5024
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 00:28:20 UTC


Attachments (Terms of Use)

Description John Skeoch 2014-08-04 00:15:27 UTC
Description of problem:
The user is able to autocomplete the names of disabled components.

How reproducible:
Everytime

Steps to Reproduce:
1. Create a new bug, specifically tried Red Hat Openstack
2. Autocomplete quantum, two components are shown, however both are disabled

Comment 1 Simon Green 2014-08-04 00:18:35 UTC
This also happens when you change a product on the show_bug.cgi page. Both of these use the Product.get API call via AJAX. Both are Red Hat customisations. is_active is returned by the RPC call, so we just need to honour that value.

Comment 7 Simon Green 2014-08-27 00:28:20 UTC
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.


Note You need to log in before you can comment on or make changes to this bug.